/*
  Copyright (c) 2003-2007 Gordon Gremme <gremme@zbh.uni-hamburg.de>
  Copyright (c) 2003-2007 Center for Bioinformatics, University of Hamburg
  See LICENSE file or http://genometools.org/license.html for license details.
*/

#ifndef GT_H
#define GT_H

/* The GenomeTools library (libgt) header */
#include <libgt/affinealign.h>               /* affine align module */
#include <libgt/align.h>                     /* align module */
#include <libgt/alignment.h>                 /* alignment class */
#include <libgt/array.h>                     /* array class */
#include <libgt/array2dim.h>                 /* 2-dimensional array class */
#include <libgt/bioseq.h>                    /* biosequence class */
#include <libgt/bittab.h>                    /* bittab class */
#include <libgt/bsearch.h>                   /* bsearch module */
#include <libgt/cds_stream.h>                /* CDS stream */
#include <libgt/consensus_sa.h>              /* consensus spliced align. mod. */
#include <libgt/countingsort.h>              /* countingsort module */
#include <libgt/csa_stream.h>                /* consensus spliced align. str. */
#include <libgt/coin_hmm.h>                  /* the coin HMM class */
#include <libgt/compare.h>                   /* compare module */
#include <libgt/cstr.h>                      /* C-string class */
#include <libgt/dice_hmm.h>                  /* the dice HMM class */
#include <libgt/dlist.h>                     /* double-linked list class */
#include <libgt/dynalloc.h>                  /* dynamic allocating module */
#include <libgt/ensure.h>                    /* defines the ensure macro */
#include <libgt/extractfeat_stream.h>        /* extract feature stream class */
#include <libgt/evaluator.h>                 /* evaluator class */
#include <libgt/fileutils.h>                 /* file utilities module */
#include <libgt/filter_stream.h>             /* filter stream class */
#include <libgt/gff3_in_stream.h>            /* GFF3 input stream class */
#include <libgt/gff3_out_stream.h>           /* GFF3 output stream class */
#include <libgt/gtdata.h>                    /* gtdata/ module */
#include <libgt/gtf_in_stream.h>             /* GTF input stream class */
#include <libgt/genome_stream.h>             /* genome stream class */
#include <libgt/grep.h>                      /* grep module */
#include <libgt/hashtable.h>                 /* hashtable class */
#include <libgt/hmm.h>                       /* HMM class */
#include <libgt/linearedist.h>               /* linear edit distance module */
#include <libgt/merge_stream.h>              /* merge stream class */
#include <libgt/mergefeat_stream_sorted.h>   /* merge feat. stream class */
#include <libgt/mergefeat_stream_unsorted.h> /* merge feat. stream class */
#include <libgt/msa.h>                       /* multiple seq. alignment class */
#include <libgt/neighborjoining.h>           /* the Neighbor-Joining class */
#include <libgt/option.h>                    /* option parser class */
#include <libgt/progressbar.h>               /* progressbar module */
#include <libgt/qgramdist.h>                 /* q-gram distance module */
#include <libgt/range.h>                     /* range class */
#include <libgt/scorefunction.h>             /* score function class */
#include <libgt/scorematrix.h>               /* score matrix class */
#include <libgt/sort_stream.h>               /* sort stream class */
#include <libgt/splicedseq.h>                /* splicedseq class */
#include <libgt/splitter.h>                  /* splitter class */
#include <libgt/stat_visitor.h>              /* status visitor class */
#include <libgt/str.h>                       /* string class */
#include <libgt/stream_evaluator.h>          /* string class */
#include <libgt/swalign.h>                   /* Smith-Waterman align. module */
#include <libgt/tokenizer.h>                 /* tokenizer class */
#include <libgt/undef.h>                     /* undef module */
#include <libgt/upgma.h>                     /* UPGMA class */
#include <libgt/versionfunc.h>               /* version module */
#include <libgt/xansi.h>                     /* ANSI wrapper module */
#include <libgt/xposix.h>                    /* POSIX wrapper module */

#endif
